package com.example.what_the_fantasy.data.services

import android.annotation.SuppressLint
import android.util.Log
import com.example.what_the_fantasy.data.local.UserStub
import com.example.what_the_fantasy.data.model.User
import com.example.what_the_fantasy.ui.components.hashPassword
import java.time.LocalDate

class ServicesStub : IServices {
    override fun EditUsername(username: String) {
        TODO("Not yet implemented")
    }

    override fun EditEmail(email: String) {
        TODO("Not yet implemented")
    }

    override fun EditPasswd(passwd: String, passwdValid: String) {
        TODO("Not yet implemented")
    }

    override fun EditImage(imageURL: String) {
        TODO("Not yet implemented")
    }

    override fun CreateUser(username: String, email: String, passwd: String, imageURL: String) : Boolean {
        val date =dateDuJour()
        val passwordhash = hashPassword(passwd)

        //Check si user existe déjà
        val users = UserStub.allUsers
        for (user in users) {
            if (user.username == username) {
                return false
            }
        }
        val user = User(100,username, email, imageURL, date, passwordhash)
        //A ajouter au stub
        Log.e("CreateUser", "User created: ${user.username} => ${user.password}")
        return true

    }

    @SuppressLint("NewApi")
    fun dateDuJour(): String {
        val date = LocalDate.now()
        return date.toString()
    }
    override fun SearchQuote(quote: String) {
        TODO("Not yet implemented")
    }

    override fun getFavorite(username: String) {
        TODO("Not yet implemented")
    }
}